<?php
$charset = 'utf8mb4';
$host = 'localhost';
$db   = 'kopt7737_dsfbsfgdsf';
$user = 'kopt7737_fdghgbndgth'; // Ganti dengan username DB Anda
$pass = 'K7HuazDsWB@)'; // Ganti dengan password DB Anda
$charset = 'utf8mb4';


$options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
    PDO::ATTR_EMULATE_PREPARES   => false,
];

$dsn = "mysql:host=$host;dbname=$db;charset=$charset";
try {
    $pdo = new PDO($dsn, $user, $pass, $options);
} catch (\PDOException $e) {
    // Log error atau tampilkan pesan error yang lebih ramah, tanpa memberikan informasi sensitif
    error_log($e->getMessage());
    die('Terjadi kesalahan saat menghubungkan ke database.');
}

date_default_timezone_set('Asia/Jakarta'); // Mengatur zona waktu default


function formatTanggalIndonesia($tanggal)
{
    // Mengubah string tanggal dari database menjadi timestamp
    $timestamp = strtotime($tanggal);

    // Array nama hari dan bulan dalam bahasa Indonesia
    $hariInd = ['Minggu', 'Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu'];
    $bulanInd = ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'];

    // Mengambil hari, tanggal, bulan, dan tahun
    $hari = $hariInd[date('w', $timestamp)];
    $tanggal = date('d', $timestamp);
    $bulan = $bulanInd[date('n', $timestamp) - 1];
    $tahun = date('Y', $timestamp);

    // Menggabungkan semua bagian menjadi format tanggal Indonesia
    return "$hari, $tanggal $bulan $tahun";
}

// Memastikan hanya mengakses via HTTPS
if (empty($_SERVER['HTTPS']) || $_SERVER['HTTPS'] === "off") {
    header("Location: https://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
    exit();
}

// Pemaksaan penggunaan HTTPS
if (empty($_SERVER['HTTPS']) || $_SERVER['HTTPS'] === "off") {
    $redirectURL = "https://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
    header("Location: " . $redirectURL);
    exit();
}
?>
